--- mysql.SlackBuild	2006-09-01 19:26:37.000000000 -0400
+++ mysql.SlackBuild.s390x	2006-09-04 16:41:11.000000000 -0400
@@ -20,7 +20,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -39,6 +39,7 @@
 CFLAGS="$SLKCFLAGS" CXX=gcc CXXFLAGS="$SLKCFLAGS -felide-constructors -fno-exceptions -fno-rtti" \
 ./configure \
   --prefix=/usr \
+  --libdir='${exec_prefix}/lib64' \
   --with-mysqld-user=mysql \
   --with-unix-socket-path=/var/run/mysql/mysql.sock \
   --localstatedir=/var/lib/mysql \
@@ -105,8 +106,8 @@
 cat $CWD/slack-desc > $PKG/install/slack-desc
 
 # Add some handy library symlinks:
-if [ -r $PKG/usr/lib/mysql/libmysqlclient.so.15 ]; then
-  ( cd $PKG/usr/lib
+if [ -r $PKG/usr/lib64/mysql/libmysqlclient.so.15 ]; then
+  ( cd $PKG/usr/lib64
     rm -f libmysqlclient.so libmysqlclient.so.15
     ln -sf mysql/libmysqlclient.so .
     ln -sf mysql/libmysqlclient.so.15 .
@@ -114,8 +115,8 @@
 else
   exit 1
 fi
-if [ -r $PKG/usr/lib/mysql/libmysqlclient_r.so.15 ]; then
-  ( cd $PKG/usr/lib
+if [ -r $PKG/usr/lib64/mysql/libmysqlclient_r.so.15 ]; then
+  ( cd $PKG/usr/lib64
     rm -f libmysqlclient_r.so libmysqlclient_r.so.15
     ln -sf mysql/libmysqlclient_r.so .
     ln -sf mysql/libmysqlclient_r.so.15 .
